{% extends 'layout.html' %}

{% block content %}
    <div class="flex flex-col gap-8 py-8">
        <div class="grid grid-cols-1 md:grid-cols-2 gap-6 justify-center items-center">
            <div class="flex flex-col gap-y-8 justify-center items-center">
                <img class="max-w-52 max-h-52 rounded-xl" src="https://api.tuks.dev{{ user['avatar'] }}" alt="">
                <!-- TODO: BUTTONS FOR AVATAR CHANGE -->
                <form class="" action="/me/profile-picture" method="POST" enctype="multipart/form-data" id="change-profile-picture">
                    <input type="file" name="profile-picture" id="profile-picture">
                    <button class="text-grey-dark px-6 py-2 bg-yellow rounded-lg">Upload</button>
                </form>
            </div>
            <div class="grid grid-cols-4 gap-2 justify-center h-max">
                <p class="text-white">Name:</p>
                <p class="text-white col-span-3">{{ user['name'] }}</p>
                <p class="text-white">Email:</p>
                <p class="text-white col-span-3">{{ user['email'] }}</p>
                <p class="text-white">Moneybird ID:</p>
                <p class="text-white col-span-3">{% if user['moneybird_id'] %}{{user['moneybird_id']}}{% else %}Not known{% endif %}</p>
                <p class="text-white">Debt:</p>
                <p class="text-white col-span-3">&euro; {{ "%.2f"|format(user['total_debt']) }}</p>
                
                {% if user['roles'] %}
                <p class="text-white">Roles:</p>
                <ul class="flex gap-1 col-span-3">
                    {%for role in user['roles'] %}
                        <li class="text-white">{{ role }}</li>
                    {% endfor %}
                </ul>
                {% endif %}
            </div>
        </div>
        {% if user_history %}
            <div class="mt-8">
                <h2 class="text-3xl text-yellow">Recent Purchases</h2>
                <div class="grid grid-cols-1 md:grid-cols-2 xl:grid-cols-4 gap-8 py-4">
                    {% for date in user_history %}
                    <div class="grid grid-cols-2 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-8 px-8 py-8 bg-grey-light gap-4 rounded-lg">
                        <div class="col-span-1 md:col-span-4 lg:col-span-6 xl:col-span-8 flex flex-col">
                            <h2 class="text-2xl text-yellow">{{ date }}</h2>
                            <h3 class="text-xl">Total cost: {{ "€ %.2f"|format(user_history[date]['total_cost']) }} <span class="text-base">({{ user_history[date]['products']|length }} items)</span></h3>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            </div>
        {% endif %}
    </div>

{% endblock content %}

